# Poco::Redis

# class RedisIOS

Library: Redis
Package: Redis
Header: Poco/Redis/RedisStream.h

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: RedisOutputStream, RedisInputStream

## Member Summary

Member Functions: close, rdbuf

## Constructors

### RedisIOS

RedisIOS(
Net::StreamSocket & redis
);

Creates the RedisIOS with the given socket.

## Destructor

### ~RedisIOS

~RedisIOS();

Destroys the RedisIOS.

Flushes the buffer, but does not close the socket.

## Member Functions

### close

void close();

Flushes the stream.

### rdbuf

RedisStreamBuf * rdbuf();

Returns a pointer to the internal RedisStreamBuf.

## Variables

### _buf

RedisStreamBuf _buf;